summaryrefslogtreecommitdiff
path: root/qa/127
diff options
context:
space:
mode:
Diffstat (limited to 'qa/127')
-rwxr-xr-xqa/12733
1 files changed, 33 insertions, 0 deletions
diff --git a/qa/127 b/qa/127
new file mode 100755
index 0000000..60d2a2f
--- /dev/null
+++ b/qa/127
@@ -0,0 +1,33 @@
+#! /bin/sh
+# PCP QA Test No. 127
+# pmlogreduce basic metadata sanity
+#
+# Copyright (c) 2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.*
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+pmlogreduce src/kenj-pc-1 $tmp
+pmdumplog -d $tmp \
+| sed -e '/^PMID/{
+N
+N
+s/\n /| /g
+}' \
+| LC_COLLATE=POSIX sort \
+| sed -e 's/| /\
+ /g'
+
+# success, all done
+exit